Retrieves building rank by GHG emissions or intensity
Use this endpoint to get buildings ranked by their greenhouse gas emissions or GHG intensity.
Requires GHG or Carbon Hub View permission. Supports global dashboard filter overrides.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificWidgetId | Unique numeric identifier of the specific GHG Building Rank widget instance | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | Optional global dashboard filter that adds to or overrides saved widget filter values | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| accountId | Integer | equals | |
| budgetVersionId | Integer | equals | |
| Channel | Channel | String | equals |
| chartType | Chart Type | String | equals |
| commodityCategoryID | Integer | equals | |
| commodityId | Integer | equals | |
| cumulative | Display as Cumulative | Boolean | equals |
| DataPointID | Integer | equals | |
| emissionSourceId | Integer | equals | |
| EsaChannelID | Integer | equals | |
| esaIntervalWidgetGroupBy | Group By | String | equals |
| includeAccountCharges | Include Account Charges | Boolean | equals |
| includeAccruals | Include Accruals | Boolean | equals |
| meterGroupInfo | Meter Group Display | String | equals |
| meterId | Integer | equals | |
| numberOfYears | Integer | equals | |
| placeGroupId | Integer | equals | |
| placeGroupName | Place Group Name | String | equals |
| rateId | Integer | equals | |
| readingDate | Reading Date | DateTime | equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days |
| Schedule | Schedule | String | equals |
| topmostCollectionId | Integer | equals | |
| topmostCostCenterId | Integer | equals | |
| topmostPlaceCode | Topmost Place Code | String | equals |
| topmostPlaceId | Integer | equals | |
| topmostPlaceName | Topmost Place Name | String | equals |
| vendorId | Integer | equals |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
AggregatedResponseGHGBuildingRank
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| dataDetails | The data details | GHGBuildingRank[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
GHGBuildingRank properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| period | PeriodRange | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PeriodRange properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| total | GHGBuildingRank | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
GHGBuildingRank properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "dataDetails": [
{ "display": "string", "emissions": 1.0, "emissionsUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "id": 1, "intensity": 1.0, "placeInfo": { "placeCode": "string", "placeId": 1, "placeInfo": "string"
}, "placeSize": 1, "placeSizeUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "scope1Emissions": 1.0, "scope2Emissions": 1.0, "scope3Emissions": 1.0, "secondaryDisplay": "string", "type": "string", "value": 1.0
}
], "period": { "endPeriod": 1, "startPeriod": 1
}, "total": { "display": "string", "emissions": 1.0, "emissionsUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "id": 1, "intensity": 1.0, "placeInfo": { "placeCode": "string", "placeId": 1, "placeInfo": "string"
}, "placeSize": 1, "placeSizeUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "scope1Emissions": 1.0, "scope2Emissions": 1.0, "scope3Emissions": 1.0, "secondaryDisplay": "string", "type": "string", "value": 1.0
}
}